Subject: Re: [PATCH 0/8] csiostor: Chelsio FCoE offload driver submission

From: Naresh Kumar Inna <[email-masked]>
Date: Sat, 25 Aug 2012 00:34:35 +0530

On 8/24/2012 10:34 PM, David Miller wrote:
> From: Naresh Kumar Inna <[email-masked]>
> Date: Fri, 24 Aug 2012 03:57:45 +0530
> 
>> This is the initial submission of the Chelsio FCoE offload driver (csiostor)
>> to the upstream kernel. This driver currently supports FCoE offload
>> functionality over Chelsio T4-based 10Gb Converged Network Adapters.
>>
>> The following patches contain the driver sources for csiostor driver and
>> updates to firmware/hardware header files shared between csiostor and
>> cxgb4 (Chelsio T4-based NIC driver). The csiostor driver is dependent on these
>> header updates. These patches have been generated against scsi 'misc' branch.
>>
>> csiostor is a low level SCSI driver that interfaces with PCI, SCSI midlayer and
>> FC transport subsystems. This driver claims the FCoE PCIe function on the
>> Chelsio Converged Network Adapter. It relies on firmware events for slow path
>> operations like discovery, thereby offloading session management. The driver
>> programs firmware via Work Request interfaces for fast path I/O offload
>> features.
> 
> You are going to have to get rid of these module parameters.
> 
> That have to do with things that are in no way specific to your device,
> and therefore should be configured using generic kernel facilities.
> 
> Using driver specific module parameters results in a poor user
> experience, because in order to make a configuration change the user
> has to know exactly what kind of device and driver is underneath,
> and then learn what the unique method is to make that configuration
> change.
> 
> If you use a generic facility, the user only needs to learn one way to
> make a configuration change, regardless of device type and driver.
> 

Hi Dave,

Thanks for reviewing. Is your comment with respect to any particular
module parameter[s] in this driver or all of them?

Regards,
Naresh.